Package net.shibboleth.idp.ui.taglib

# Class ServiceTagSupport

java.lang.Object
jakarta.servlet.jsp.tagext.TagSupport
jakarta.servlet.jsp.tagext.BodyTagSupport
net.shibboleth.idp.ui.taglib.ServiceTagSupport

All Implemented Interfaces:
  `BodyTag`, `IterationTag`, `JspTag`, `Tag`, `Serializable`

Direct Known Subclasses:
  `OrganizationDisplayNameTag`, `OrganizationNameTag`, `OrganizationURLTag`, `ServiceContactTag`, `ServiceDescriptionTag`, `ServiceInformationURLTag`, `ServiceLogoTag`, `ServiceNameTag`, `ServicePrivacyURLTag`

public class ServiceTagSupport extends BodyTagSupport
Display the serviceName. This is taken in order 1) From the mdui 2) AttributeConsumeService 3) HostName from the EntityId 4) EntityId.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`cssClass`
Bean storage.
`private String`
`cssId`
Bean storage.
`private String`
`cssStyle`
Bean storage.
`private static org.slf4j.Logger`
`log`
Class logger.
`private RelyingPartyUIContext`
`relyingPartyUIContext`
Cached RelyingPartyUIContext.
`private static final long`
`serialVersionUID`
Serial ID.
`private static Function<ProfileRequestContext,RelyingPartyUIContext>`
`uiContextLookupStrategy`
Strategy function for access to `RelyingPartyUIContext` for input to resolver.

### Fields inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`bodyContent`

### Fields inherited from class jakarta.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface jakarta.servlet.jsp.tagext.BodyTag

`EVAL_BODY_BUFFERED`

### Fields inherited from interface jakarta.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface jakarta.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

## Constructor Summary

Constructors
Constructor
Description
`ServiceTagSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addClassAndId(StringBuilder sb)`
Add the class and Id (if present) to the string under construction.
`protected String`
`buildHyperLink(String url, String text)`
Build a hyperlink from the parameters.
`protected RelyingPartyUIContext`
`getRelyingPartyUIContext()`
Get the `RelyingPartyUIContext` for the request.
`protected String`
`getServiceName()`
Get the identifier for the service name as per the rules above.
`void`
`setCssClass(String value)`
Set the Css class to use.
`void`
`setCssId(String value)`
Get the Css class to use.
`void`
`setCssStyle(String value)`
Set the Css style to use.
`void`
`setUiContext(RelyingPartyUIContext value)`
Deprecated.
this has to be calculated every time

### Methods inherited from class jakarta.servlet.jsp.tagext.BodyTagSupport

`doAfterBody, doEndTag, doInitBody, doStartTag, getBodyContent, getPreviousOut, release, setBodyContent`

### Methods inherited from class jakarta.servlet.jsp.tagext.TagSupport

`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface jakarta.servlet.jsp.tagext.Tag

`getParent, setPageContext, setParent`

## Field Details

### serialVersionUID

private static final long serialVersionUID
Serial ID.

See Also:
  - Constant Field Values

### log

@Nonnull private static org.slf4j.Logger log
Class logger.

### uiContextLookupStrategy

@Nonnull private static Function<ProfileRequestContext,RelyingPartyUIContext> uiContextLookupStrategy
Strategy function for access to `RelyingPartyUIContext` for input to resolver.

### cssClass

@Nullable private String cssClass
Bean storage. class reference

### cssId

@Nullable private String cssId
Bean storage. id reference

### cssStyle

@Nullable private String cssStyle
Bean storage. style reference

### relyingPartyUIContext

@Nullable private RelyingPartyUIContext relyingPartyUIContext
Cached RelyingPartyUIContext.

## Constructor Details

### ServiceTagSupport

public ServiceTagSupport()
Constructor.

## Method Details

### setUiContext

@Deprecated public void setUiContext(@Nullable RelyingPartyUIContext value)
Deprecated.
this has to be calculated every time
Sets the `RelyingPartyUIContext`.

Parameters:
  `value` - what to set

### setCssClass

public void setCssClass(@Nullable String value)
Set the Css class to use.

Parameters:
  `value` - what to set

### setCssId

public void setCssId(@Nullable String value)
Get the Css class to use.

Parameters:
  `value` - what to set

### setCssStyle

public void setCssStyle(@Nullable String value)
Set the Css style to use.

Parameters:
  `value` - what to set

### addClassAndId

protected void addClassAndId(@Nonnull StringBuilder sb)
Add the class and Id (if present) to the string under construction.

Parameters:
  `sb` - the `StringBuilder` to add to.

### buildHyperLink

@Nonnull protected String buildHyperLink(@Nonnull String url, @Nullable String text)
Build a hyperlink from the parameters.

Parameters:
  `url` - the URL
  `text` - what to embed
Returns:
  the hyperlink.

### getRelyingPartyUIContext

@Nullable protected RelyingPartyUIContext getRelyingPartyUIContext()
Get the `RelyingPartyUIContext` for the request. We cache this if it exists (the usual case).

Returns:
  the context

### getServiceName

@Nullable protected String getServiceName()
Get the identifier for the service name as per the rules above.

Returns:
  something sensible for display.